import { extends as _extends, taggedTemplateLiteral as _taggedTemplateLiteral, defineProperty as _defineProperty } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import { keyframes, jsx } from '@emotion/core';
import { ModalContent } from './ModalContent.esm.js';
import { modalFullScreenCss } from './ModalFullScreen.esm.js';

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  100% {\n     transform: translate(0, calc(50vh - 50%)) scale(1) perspective(1000px) rotateX(0);\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var cardIncoming = keyframes(_templateObject());

var baseCss = function baseCss(theme) {
  return [modalFullScreenCss(theme), _defineProperty({}, theme.mediaQueries.phablet, {
    width: "620px",
    height: "auto",
    background: theme.colors.white,
    borderRadius: theme.radii[3],
    boxShadow: "0px 5px 30px rgba(0, 0, 0, 0.2)",
    maxWidth: "calc(100% - (".concat(theme.space[5], " * 2))"),
    animation: "".concat(cardIncoming, " 0.5s 0.25s ease forwards"),
    transform: "translate(0, 90vh) scale(0.9) perspective(1000px) rotateX(-90deg)",
    transformOrigin: "top center",
    margin: "0 auto"
  })];
};

var ModalCard = function ModalCard(props) {
  return jsx(ModalContent, _extends({
    css: baseCss
  }, props));
};
ModalCard.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "ModalCard"
};

if (typeof STORYBOOK_REACT_CLASSES !== "undefined") {
  STORYBOOK_REACT_CLASSES["src/components/Modal/ModalCard.tsx"] = {
    name: "ModalCard",
    docgenInfo: ModalCard.__docgenInfo,
    path: "src/components/Modal/ModalCard.tsx"
  };
}

export { ModalCard };
//# sourceMappingURL=ModalCard.esm.js.map
